
Redmine - Defect #14674

IssuePriority expects database counters to be pristine

2013-08-12 20:43 - Daniel Sundström

Status: Closed Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 2.3.2

Description

IssuePriority expects implicitly that the autoincrement counter on the Enumerations-table begins at 0, something

which might not be case when migrating a Redmine installation from one machine to another one.

The result is that all issues are marked graphically as high-priority issues if the counter is off by one or two - or not marked at

all of the counter is off by more than that.

The attached patch changes the IssuePriority to rely on internal position rather than id for selecting proper CSS-classes which

resolves the issue.

Related issues:

Related to Redmine - Feature #12216: Textual CSS class for priorities Closed

History

#1 - 2013-08-14 02:23 - Mischa The Evil

From #2071#note-14 (note-14)

Jean-Philippe Lang wrote:

The current css class based on ids will be preserved (for future use) but r10720 adds a textual class that do not rely on ids or the number of

priorities. See #12216 for more details.

 See the notes history of #2071 and #12216 and their related changesets for all the details

#2 - 2022-08-07 15:12 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix

Please use CSS classes described in #12216#note-1.

#3 - 2022-08-07 15:12 - Go MAEDA

- Related to Feature #12216: Textual CSS class for priorities added

Files

redmin-git-patch.diff 724 Bytes 2013-08-12 Daniel Sundström

Powered by TCPDF (www.tcpdf.org)

2024-04-26 1/1

https://www.redmine.org/issues/2071#note-14
https://www.redmine.org/projects/redmine/repository/svn/revisions/10720
https://www.redmine.org/issues/12216
https://www.redmine.org/issues/2071
https://www.redmine.org/issues/12216
https://www.redmine.org/issues/12216#note-1
http://www.tcpdf.org

